
%define _name		kseg
%define _version	0.4
%define	_release	2.dries

Summary: interactive geometry program for exploring Euclidean geometry
Summary(nl): interactief programma voor Euclidische geometrie

BuildRoot:	%{_tmppath}/build-%{_name}-%{_version}
Name:		%{_name}
Version:	%{_version}
Release:	%{_release}
License:	GPL
Group:		Applications/Math
URL: http://www.mit.edu/~ibaran/kseg.html
Source: http://www.mit.edu/~ibaran/kseg-latest.tar.gz
Patch: compileprob.patch.bz2
BuildRequires: gettext, libart_lgpl-devel, libjpeg-devel, libpng-devel, arts-devel, zlib-devel, kdelibs-devel, gcc, make, gcc-c++, XFree86-devel, qt-devel
Requires: kdelibs

#(d) primscreenshot: http://www.mit.edu/~ibaran/screenshot1t.png
#(d) screenshotsurl: http://www.mit.edu/~ibaran/kseg.html
#(d) comment: patch sent for compile problem but no answer received

%description
KSEG is a Free (GPL) interactive geometry program for exploring Euclidean
geometry. It supports:
* Construction of points, segments, rays, lines, circles, and arcs
* Make measurements
* Transformations (rotation, translation, scaling, reflection)
* Construction of adaptively sampled loci for better quality and speed
* Infinite undo/redo
* Ability to easily redefine points to "edit" drawings
* Easy to use editable scripting/macro with support for recursion
* Pretty formulas for calculations-with libkformula
* Pretty colors, fonts, etc.
* View panning/zooming and multiple simultaneous views
* Export view to image file, including antialiased option
* Printing
* Selection Groups--group a bunch of objects, then select them later with two
clicks

%description -l nl
KSEG is een Vrij (GPL) interactief programma om Euclidische geometrie mee te 
ontdekken. Kseg ondersteunt:
* Het maken van punten, segmenten, vectoren, lijnen, cirkels en bogen
* Afstanden meten
* Transformaties (rotatie, translatie, scaleren, reflectie)
* Undo/redo
* Punten herdefinieren om tekeningen te wijzigen
* Scripting/macro's met ondersteuning voor recursie
* Mooie formules via libkformula
* Mooie fonts, kleuren, ..
* Zoom en meerdere views op dezelfde tekening
* Export naar bestand met antialiasing als optie
* Afdrukken
* Selectiegroepen: groepeer een aantal objecten en selecteer ze later
opnieuw met 2 muisklikken

%prep
%{__rm} -rf "${RPM_BUILD_ROOT}"
%setup
%patch -p1

%build
make
cat > kseg.desktop <<EOF
[Desktop Entry]
Version=1.0
Type=Application
Encoding=UTF-8
Name=Kseg
Exec=kseg
Categories=Application;Educational
EOF

%install
echo RPM_BUILD_ROOT is $RPM_BUILD_ROOT
#sed -i "s/^datadir = /datadir =  ${RPM_BUILD_ROOT//\//\\/}/" ./doc/kig/Makefile
export DESTDIR=$RPM_BUILD_ROOT
# no make install.. bizar
mkdir -p ${DESTDIR}/usr/bin
cp kseg ${DESTDIR}/usr/bin
mkdir -p ${DESTDIR}/usr/share/applications
cp kseg.desktop ${DESTDIR}/usr/share/applications

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING examples kseg_help_en.html README VERSION
/usr/bin/kseg
/usr/share/applications/kseg.desktop

%changelog
* Fri Jan 2 2004 Dries Verachtert <dries@ulyssis.org> 0.4-2.dries
- added a desktop file

* Fri Dec 26 2003 Dries Verachtert <dries@ulyssis.org> 0.4-1.dries
- first packaging for Fedora Core 1
